org.wildfly.swarm.config.resource.adapters

## Class ResourceAdapter<T extends ResourceAdapter<T>>

- java.lang.Object
- - org.wildfly.swarm.config.resource.adapters.ResourceAdapter<T>

-     public class ResourceAdapter<T extends ResourceAdapter<T>>
      extends Object

  The configuration of a resource adapter.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ResourceAdapter.ResourceAdapterResources` Child mutators for ResourceAdapter
    `static class` | `ResourceAdapter.TransactionSupport`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceAdapter(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `T` | `adminObjects(AdminObjects value)` Add the AdminObjects object to the list of subresources
    `T` | `adminObjects(AdminObjectsSupplier supplier)` Install a supplied AdminObjects object to the list of subresources
    `T` | `adminObjects(List<AdminObjects> value)` Add all AdminObjects objects to this subresource
    `T` | `adminObjects(String childKey)` Create and configure a AdminObjects object to the list of subresources
    `T` | `adminObjects(String childKey, AdminObjectsConsumer consumer)` Create and configure a AdminObjects object to the list of subresources
    `String` | `archive()` Specifies the resource adapter archive.
    `T` | `archive(String value)` Specifies the resource adapter archive.
    `T` | `beanvalidationgroup(String value)` Specifies the bean validation groups that should be used.
    `List<String>` | `beanvalidationgroups()` Specifies the bean validation groups that should be used.
    `T` | `beanvalidationgroups(List<String> value)` Specifies the bean validation groups that should be used.
    `T` | `beanvalidationgroups(String... args)` Specifies the bean validation groups that should be used.
    `String` | `bootstrapContext()` Specifies the unique name of the bootstrap context that should be used.
    `T` | `bootstrapContext(String value)` Specifies the unique name of the bootstrap context that should be used.
    `T` | `configProperties(ConfigProperties value)` Add the ConfigProperties object to the list of subresources
    `T` | `configProperties(ConfigPropertiesSupplier supplier)` Install a supplied ConfigProperties object to the list of subresources
    `T` | `configProperties(List<ConfigProperties> value)` Add all ConfigProperties objects to this subresource
    `T` | `configProperties(String childKey)` Create and configure a ConfigProperties object to the list of subresources
    `T` | `configProperties(String childKey, ConfigPropertiesConsumer consumer)` Create and configure a ConfigProperties object to the list of subresources
    `T` | `connectionDefinitions(ConnectionDefinitions value)` Add the ConnectionDefinitions object to the list of subresources
    `T` | `connectionDefinitions(ConnectionDefinitionsSupplier supplier)` Install a supplied ConnectionDefinitions object to the list of subresources
    `T` | `connectionDefinitions(List<ConnectionDefinitions> value)` Add all ConnectionDefinitions objects to this subresource
    `T` | `connectionDefinitions(String childKey)` Create and configure a ConnectionDefinitions object to the list of subresources
    `T` | `connectionDefinitions(String childKey, ConnectionDefinitionsConsumer consumer)` Create and configure a ConnectionDefinitions object to the list of subresources
    `String` | `getKey()`
    `String` | `module()` Specifies the module from which resource adapter will be loaded
    `T` | `module(String value)` Specifies the module from which resource adapter will be loaded
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Boolean` | `statisticsEnabled()` Define whether runtime statistics are enabled or not.
    `T` | `statisticsEnabled(Boolean value)` Define whether runtime statistics are enabled or not.
    `ResourceAdapter.ResourceAdapterResources` | `subresources()`
    `ResourceAdapter.TransactionSupport` | `transactionSupport()` Specifies the transaction support level of the resource adapter.
    `T` | `transactionSupport(ResourceAdapter.TransactionSupport value)` Specifies the transaction support level of the resource adapter.
    `String` | `wmElytronSecurityDomain()` Defines the name of the Elytron security domain that should be used.
    `T` | `wmElytronSecurityDomain(String value)` Defines the name of the Elytron security domain that should be used.
    `Boolean` | `wmSecurity()` Toggle on/off wm.security for this resource adapter.
    `T` | `wmSecurity(Boolean value)` Toggle on/off wm.security for this resource adapter.
    `T` | `wmSecurityDefaultGroup(String value)` Defines a default groups list that should be added to the used Subject instance.
    `List<String>` | `wmSecurityDefaultGroups()` Defines a default groups list that should be added to the used Subject instance.
    `T` | `wmSecurityDefaultGroups(List<String> value)` Defines a default groups list that should be added to the used Subject instance.
    `T` | `wmSecurityDefaultGroups(String... args)` Defines a default groups list that should be added to the used Subject instance.
    `String` | `wmSecurityDefaultPrincipal()` Defines a default principal name that should be added to the used Subject instance.
    `T` | `wmSecurityDefaultPrincipal(String value)` Defines a default principal name that should be added to the used Subject instance.
    `String` | `wmSecurityDomain()` Defines the name of the PicketBox security domain that should be used.
    `T` | `wmSecurityDomain(String value)` Defines the name of the PicketBox security domain that should be used.
    `T` | `wmSecurityMappingGroup(Map value)` List of groups mappings.
    `List<Map>` | `wmSecurityMappingGroups()` List of groups mappings.
    `T` | `wmSecurityMappingGroups(List<Map> value)` List of groups mappings.
    `T` | `wmSecurityMappingGroups(Map... args)` List of groups mappings.
    `Boolean` | `wmSecurityMappingRequired()` Defines if a mapping is required for security credentials.
    `T` | `wmSecurityMappingRequired(Boolean value)` Defines if a mapping is required for security credentials.
    `T` | `wmSecurityMappingUser(Map value)` List of user mappings.
    `List<Map>` | `wmSecurityMappingUsers()` List of user mappings.
    `T` | `wmSecurityMappingUsers(List<Map> value)` List of user mappings.
    `T` | `wmSecurityMappingUsers(Map... args)` List of user mappings.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceAdapter

          public ResourceAdapter(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ResourceAdapter.ResourceAdapterResources subresources()

    - #### configProperties

          public T configProperties(List<ConfigProperties> value)

      Add all ConfigProperties objects to this subresource
      Parameters:
        `value` - List of ConfigProperties objects.
      Returns:
        this

    - #### configProperties

          public T configProperties(ConfigProperties value)

      Add the ConfigProperties object to the list of subresources
      Parameters:
        `value` - The ConfigProperties to add
      Returns:
        this

    - #### configProperties

          public T configProperties(String childKey,
                                    ConfigPropertiesConsumer consumer)

      Create and configure a ConfigProperties object to the list of subresources
      Parameters:
        `key` - The key for the ConfigProperties resource
        `config` - The ConfigPropertiesConsumer to use
      Returns:
        this

    - #### configProperties

          public T configProperties(String childKey)

      Create and configure a ConfigProperties object to the list of subresources
      Parameters:
        `key` - The key for the ConfigProperties resource
      Returns:
        this

    - #### configProperties

          public T configProperties(ConfigPropertiesSupplier supplier)

      Install a supplied ConfigProperties object to the list of subresources

    - #### adminObjects

          public T adminObjects(List<AdminObjects> value)

      Add all AdminObjects objects to this subresource
      Parameters:
        `value` - List of AdminObjects objects.
      Returns:
        this

    - #### adminObjects

          public T adminObjects(AdminObjects value)

      Add the AdminObjects object to the list of subresources
      Parameters:
        `value` - The AdminObjects to add
      Returns:
        this

    - #### adminObjects

          public T adminObjects(String childKey,
                                AdminObjectsConsumer consumer)

      Create and configure a AdminObjects object to the list of subresources
      Parameters:
        `key` - The key for the AdminObjects resource
        `config` - The AdminObjectsConsumer to use
      Returns:
        this

    - #### adminObjects

          public T adminObjects(String childKey)

      Create and configure a AdminObjects object to the list of subresources
      Parameters:
        `key` - The key for the AdminObjects resource
      Returns:
        this

    - #### adminObjects

          public T adminObjects(AdminObjectsSupplier supplier)

      Install a supplied AdminObjects object to the list of subresources

    - #### connectionDefinitions

          public T connectionDefinitions(List<ConnectionDefinitions> value)

      Add all ConnectionDefinitions objects to this subresource
      Parameters:
        `value` - List of ConnectionDefinitions objects.
      Returns:
        this

    - #### connectionDefinitions

          public T connectionDefinitions(ConnectionDefinitions value)

      Add the ConnectionDefinitions object to the list of subresources
      Parameters:
        `value` - The ConnectionDefinitions to add
      Returns:
        this

    - #### connectionDefinitions

          public T connectionDefinitions(String childKey,
                                         ConnectionDefinitionsConsumer consumer)

      Create and configure a ConnectionDefinitions object to the list of subresources
      Parameters:
        `key` - The key for the ConnectionDefinitions resource
        `config` - The ConnectionDefinitionsConsumer to use
      Returns:
        this

    - #### connectionDefinitions

          public T connectionDefinitions(String childKey)

      Create and configure a ConnectionDefinitions object to the list of subresources
      Parameters:
        `key` - The key for the ConnectionDefinitions resource
      Returns:
        this

    - #### connectionDefinitions

          public T connectionDefinitions(ConnectionDefinitionsSupplier supplier)

      Install a supplied ConnectionDefinitions object to the list of subresources

    - #### archive

          public String archive()

      Specifies the resource adapter archive.

    - #### archive

          public T archive(String value)

      Specifies the resource adapter archive.

    - #### beanvalidationgroups

          public List<String> beanvalidationgroups()

      Specifies the bean validation groups that should be used.

    - #### beanvalidationgroups

          public T beanvalidationgroups(List<String> value)

      Specifies the bean validation groups that should be used.

    - #### beanvalidationgroup

          public T beanvalidationgroup(String value)

      Specifies the bean validation groups that should be used.

    - #### beanvalidationgroups

          public T beanvalidationgroups(String... args)

      Specifies the bean validation groups that should be used.

    - #### bootstrapContext

          public String bootstrapContext()

      Specifies the unique name of the bootstrap context that should be used.

    - #### bootstrapContext

          public T bootstrapContext(String value)

      Specifies the unique name of the bootstrap context that should be used.

    - #### module

          public String module()

      Specifies the module from which resource adapter will be loaded

    - #### module

          public T module(String value)

      Specifies the module from which resource adapter will be loaded

    - #### statisticsEnabled

          public Boolean statisticsEnabled()

      Define whether runtime statistics are enabled or not.

    - #### statisticsEnabled

          public T statisticsEnabled(Boolean value)

      Define whether runtime statistics are enabled or not.

    - #### transactionSupport

          public ResourceAdapter.TransactionSupport transactionSupport()

      Specifies the transaction support level of the resource adapter.

    - #### transactionSupport

          public T transactionSupport(ResourceAdapter.TransactionSupport value)

      Specifies the transaction support level of the resource adapter.

    - #### wmElytronSecurityDomain

          public String wmElytronSecurityDomain()

      Defines the name of the Elytron security domain that should be used.

    - #### wmElytronSecurityDomain

          public T wmElytronSecurityDomain(String value)

      Defines the name of the Elytron security domain that should be used.

    - #### wmSecurity

          public Boolean wmSecurity()

      Toggle on/off wm.security for this resource adapter. In case of false all wm-security-* parameters are ignored, even the defaults.

    - #### wmSecurity

          public T wmSecurity(Boolean value)

      Toggle on/off wm.security for this resource adapter. In case of false all wm-security-* parameters are ignored, even the defaults.

    - #### wmSecurityDefaultGroups

          public List<String> wmSecurityDefaultGroups()

      Defines a default groups list that should be added to the used Subject instance.

    - #### wmSecurityDefaultGroups

          public T wmSecurityDefaultGroups(List<String> value)

      Defines a default groups list that should be added to the used Subject instance.

    - #### wmSecurityDefaultGroup

          public T wmSecurityDefaultGroup(String value)

      Defines a default groups list that should be added to the used Subject instance.

    - #### wmSecurityDefaultGroups

          public T wmSecurityDefaultGroups(String... args)

      Defines a default groups list that should be added to the used Subject instance.

    - #### wmSecurityDefaultPrincipal

          public String wmSecurityDefaultPrincipal()

      Defines a default principal name that should be added to the used Subject instance.

    - #### wmSecurityDefaultPrincipal

          public T wmSecurityDefaultPrincipal(String value)

      Defines a default principal name that should be added to the used Subject instance.

    - #### wmSecurityDomain

          public String wmSecurityDomain()

      Defines the name of the PicketBox security domain that should be used.

    - #### wmSecurityDomain

          public T wmSecurityDomain(String value)

      Defines the name of the PicketBox security domain that should be used.

    - #### wmSecurityMappingGroups

          public List<Map> wmSecurityMappingGroups()

      List of groups mappings.

    - #### wmSecurityMappingGroups

          public T wmSecurityMappingGroups(List<Map> value)

      List of groups mappings.

    - #### wmSecurityMappingGroup

          public T wmSecurityMappingGroup(Map value)

      List of groups mappings.

    - #### wmSecurityMappingGroups

          public T wmSecurityMappingGroups(Map... args)

      List of groups mappings.

    - #### wmSecurityMappingRequired

          public Boolean wmSecurityMappingRequired()

      Defines if a mapping is required for security credentials.

    - #### wmSecurityMappingRequired

          public T wmSecurityMappingRequired(Boolean value)

      Defines if a mapping is required for security credentials.

    - #### wmSecurityMappingUsers

          public List<Map> wmSecurityMappingUsers()

      List of user mappings.

    - #### wmSecurityMappingUsers

          public T wmSecurityMappingUsers(List<Map> value)

      List of user mappings.

    - #### wmSecurityMappingUser

          public T wmSecurityMappingUser(Map value)

      List of user mappings.

    - #### wmSecurityMappingUsers

          public T wmSecurityMappingUsers(Map... args)

      List of user mappings.

Copyright © 2017 JBoss by Red Hat. All rights reserved.